# the name is "setuptool" because we already have a package
# named "setup".  Oh, well.
Name: setuptool
Version: 1.8
Release: 2
Summary: A text mode system configuration tool.
License: GPL
Group: Applications/System
Source: setuptool-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: newt-devel

%description
Setuptool is a user-friendly text mode menu utility which allows you
to access all of the text mode configuration programs included in the
Red Hat Linux operating system.

%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT

make install ROOT=$RPM_BUILD_ROOT

%find_lang setup

%clean
rm -rf $RPM_BUILD_ROOT

%files -f setup.lang
%defattr(-,root,root)
%attr(0755,root,root) /usr/sbin/*
%attr(0600,root,root) /etc/X11/applnk/System/*

%changelog
* Mon Aug  6 2001 Nalin Dahyabhai <nalin@redhat.com>
- add buildrequires on newt-devel (#49696)

* Sun Aug  5 2001 Nalin Dahyabhai <nalin@redhat.com>
- add printconf-tui for printer configuration

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify

* Wed Jan 24 2001 Nalin Dahyabhai <nalin@redhat.com>
- add lokkit for firewall configuration (#24854)

* Tue Jan 16 2001 Nalin Dahyabhai <nalin@redhat.com>
- add netconfig (no, not netconf, and not netcfg, netconfig) (#23444)

* Wed Dec 20 2000 Bill Nottingham <notting@redhat.com>
- ship the translations (oops)

* Thu Aug 24 2000 Erik Troan <ewt@redhat.com>
- updated it/es translations

* Sat Aug 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- make the .desktop file root-only-readable, because only root can run
  setuptool anyway (#16575)

* Sun Aug  6 2000 Bill Nottingham <notting@redhat.com>
- don't bother running if they're not root (#15560)

* Fri Aug  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- add sv translations for .desktop file (#15361)

* Wed Jul 26 2000 Matt Wilson <msw@redhat.com>
- new translations for de fr it es

* Wed Jun 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- add "archive" make target
- size list box based on length of list

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuild for next release

* Wed Feb 09 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Thu Feb  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuilt in new environment

* Mon Aug  2 1999 Matt Wilson <msw@redhat.com>
- rebuilt against newt 0.50

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- strip binary

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- port to C, so we can get python out of base component

* Tue Mar 16 1999 Bill Nottingham <notting@redhat.com>
- add support for authconfig, remove cabaret

* Wed Nov 05 1997 Michael K. Johnson <johnsonm@redhat.com>
- initial version


